Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

List GitHub installations

Returns the organization’s GitHub App installations.

GET/integration/github/installations
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Query parameters
page[limit]integer

Maximum number of records to return

min 1 · max 100 · default: 10
page[number]integer

Page number

min 1 · default: 1
Responses
200

GitHub installations retrieved

recordsgithub_installation[]required
Show properties
Array of github_installation
idstring<uuid>required
installation_idstringrequired
matches ^[1-9][0-9]*$
account_idstringrequired
matches ^[1-9][0-9]*$
account_loginstringrequired
account_typestringrequired
Allowed:OrganizationUser
repository_selectionstringrequired
Allowed:allselected
permissionsobjectrequired
Show properties
metadatastringrequired
contentsstringrequired
eventsstring[]required
statusstringrequired
Allowed:activesuspendeddeleted
installed_atstring<date-time>required
suspended_atstring<date-time> | null
deleted_atstring<date-time> | null
last_synchronized_atstring<date-time>required
paginationpagination_metarequired

Pagination metadata object containing information about the current page, total records, and navigation details for paginated API responses

Show properties
total_recordsintegerrequired

Total number of records available

current_pageintegerrequired

Current page number

total_pagesintegerrequired

Total number of pages available

next_pageinteger | nullrequired

Next page number, null if no next page exists

prev_pageinteger | nullrequired

Previous page number, null if no previous page exists

default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X GET 'https://api.kapten.io/integration/github/installations' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "records": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "installation_id": "string",
      "account_id": "string",
      "account_login": "string",
      "account_type": "Organization",
      "repository_selection": "all",
      "permissions": {
        "metadata": "string",
        "contents": "string"
      },
      "events": [
        "string"
      ],
      "status": "active",
      "installed_at": "2019-08-24T14:15:22Z",
      "suspended_at": "2019-08-24T14:15:22Z",
      "deleted_at": "2019-08-24T14:15:22Z",
      "last_synchronized_at": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "total_records": 100,
    "current_page": 1,
    "total_pages": 10,
    "next_page": 2,
    "prev_page": null
  }
}

Was this page helpful?